body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    padding: 0px; /* Fixed padding for all containers */
    height: 100%;
    width: 100%; /* Set width to 100% */
    
}


.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 98%;
    background-color: rgba(255, 255, 255, 0.9); /* Solid background color */
    color: #0a5be8;/* other color is 151515 */
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    backdrop-filter: blur(10px);
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    z-index: 1000; /* Ensure the header appears above other content */
}

.brand {
    margin: 0;
}

.nav-links {
    margin: 0;
    display: flex;
}

.nav-links a {
    color: #161616;
    text-decoration: none;
    margin-left: 20px;
}

.nav-links a:first-child {
    margin-left: 0;
}

.toggle-menu {
    display: none;
    color: #000000;
    background: none;
    border: none;
    font-size: 24px;
    cursor: pointer;
}

@media screen and (max-width: 768px) {
    .nav-links {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: rgba(0, 0, 0, 0.8);
        padding: 10px;
    }

    .nav-links.active {
        display: flex;
    }

    .nav-links.open {
        background: linear-gradient(to bottom, #4F86F7, #4F86F7);
    }

    .nav-links a {
        margin: 10px 0;
        color: #fff;
    }

    .toggle-menu {
        display: block;
        margin-right: 0px;
    }
}
@media screen and (max-width: 768px) {
  .nav-links {
    /* Other existing styles */
    z-index: 1001; /* Ensure the navigation links appear above the city selection dropdown */
  }
  @media screen and (max-width: 480px) {
    .nav-links {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: rgba(0, 0, 0, 0.8);
        padding: 10px;
    }

    .nav-links.active {
        display: flex;
    }

    .nav-links.open {
        background: linear-gradient(to bottom, #4F86F7, #4F86F7);
    }

    .nav-links a {
        margin: 10px 0;
        color: #fff;
    }

    .toggle-menu {
        display: block;
        margin-right: 0px;
    }
}
@media screen and (max-width: 480px) {
  .nav-links {
    /* Other existing styles */
    z-index: 1001; /* Ensure the navigation links appear above the city selection dropdown */
  }
}
  #citySelect {
    /* Other existing styles */
    position: relative; /* Position the dropdown relative to its parent */
    z-index: 999; /* Ensure the city selection dropdown appears below the navigation links */
  }
}
@media screen and (max-width: 480px) {
  .header {
    width: 100%; /* Set width to 100% */
  }
}
@media screen and (max-width: 786px) {
  .header {
    width: 100%; /* Set width to 100% */
  }
}
.heading {
    text-align: center; /* Center-align text */
    margin-top: 120px;
}

/* Media Query for smaller screens */
@media screen and (max-width: 600px) {
    .heading {
    
        font-size: 24px; /* Adjust font size for smaller screens */
        margin-top: 120px; /* Adjust margin top for smaller screens */
    }
}

/* Business Categories styles */
.categories {
    display: flex;
    flex-wrap: wrap; /* Allow items to wrap to the next line */
    justify-content: center;
    margin-top: 20px;
    padding: 50px;
    
    
}

.category {
    width: calc(8.33% - 20px); /* Adjust the width for 12 categories per line */
    height: 80px; /* Reduced height for smaller size */
    margin: 10px;
    margin-bottom: 50px; /* Add bottom margin to create space */
    position: relative; /* Position the category names relative to the category containers */
}

.category img {
    width: 100%;
    height: 100%;
    border-radius: 20%; /* Make it round */
    object-fit: cover; /* Ensure the image covers the entire area */
}

.name {
    position: relative;
    bottom: 0px; /* Adjust as needed to position the names outside the round shape */
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    background-color: rgba(255, 255, 255, 0.8); /* Transparent white background */
    padding: 5px;
    border-radius: 5px;
    font-size: 14px;
    color: #000; /* Category name color */
    text-align: center;
}

/* Media Query for larger screens */
@media screen and (min-width: 1200px) {
    .category {
        width: calc(8.33% - 20px); /* Adjust the width for 12 categories per line */
    height: 80px; /* Reduced height for smaller size */
    }
   
}

/* Media Query for smaller screens */
@media screen and (max-width: 576px) {
    .categories {
        padding: 10px;
    }
    .category {
        width: calc(20% - 20px); /* Adjust the width for 5 categories per line */
        margin-bottom: 60px;
        height: 65px; /* Reduced height for extreme small size */
    }
    
    .category img {
        border-radius: 20%; /* Reduce round shape size */
    }
    .name {
        bottom: 0px; /* Further adjust to prevent collision */
    }
}


.search-container {
    width: 80%;
    margin: 50px auto;
    padding: 10px;
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    border: 1px solid #ccc;
}

.search-input {
    flex: 1;
    padding: 10px;
    border: none;
    border-radius: 5px;
    margin-right: 10px;
}

.city-select {
    padding: 10px;
    border: 1px solid #ccc; /* Add border */
    border-radius: 5px;
    margin-right: 10px;
}

.search-button {
    padding: 10px 20px;
    border: none;
    border-radius: 50px;
    background-color: #007bff;
    color: #fff;
    cursor: pointer;
    transition: background-color 0.3s;
}

.search-button:hover {
    background-color: #0056b3;
}
/* Media Query for smaller screens */
@media screen and (max-width: 768px) {
    .search-container {
        width: 90%; /* Adjust width for smaller screens */
    }
}
/* Media Query for even smaller screens */
@media screen and (max-width: 576px) {
    .search-container {
        width: 95%; /* Adjust width for even smaller screens */
    }
}
.big-categories {
    display: flex;
    width: 100%;
    margin-top: 20px; /* Add margin to the top of the container */
}

.box {
    width: 50%;
    padding: 80px;
    box-sizing: border-box;
    transition: transform 0.3s ease;
    margin: 10px 20px; /* Add margin to create space between the boxes */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.box:nth-child(1) {
    background-color: #f0f0f0; /* Add your gradient background here */
    background-image: linear-gradient(to right, #873335, #fad0c4); /* Gradient background */
    color: transparent;
    -webkit-background-clip: text; /* Clip text to the background gradient */
    background-clip: text;
}

.box:nth-child(2) {
    background-color: #f0f0f0; /* Add your image background here */
    background-size: cover;
    background-position: center;
}

/* Optional: Add styling for responsiveness */
@media screen and (max-width: 768px) {
    .big-categories {
        flex-direction: column;
    }
    .box {
        width: 100%;
        margin: 10px 20px; /* Adjust margin for space between the boxes */
    }
}

    .slider-container {
        display: flex;
        width: 100%;
        box-sizing: border-box; /* Ensure padding doesn't affect width */
        padding: 20px; /* Add padding */
    }

    .slider {
        width: 100%; /* Covering 50% of the screen width */
        height: 700px; /* Adjust height as needed */
        background-color: #f0f0f0;
        border-radius: 20px;
        overflow: hidden;
        position: relative;
        margin-right: 20px; /* Space between sliders */
        display: flex; /* Ensure images display in a row */
    }

    .slider img {
        display: block; /* Ensure the images are displayed as block elements */
        width: 100%;
        height: 100%;
        object-fit: cover; /* Maintain aspect ratio while covering container */
        display: block;
        opacity: 0;
        transition: opacity 0.5s ease;
        position: absolute;
    }

    .slider img.active {
        opacity: 1;
    }
    .slider-controls {
        position: absolute;
        bottom: 10px;
        left: 50%;
        transform: translateX(-50%);
        z-index: 1;
    }

    .slider-controls button {
        background-color: #fff;
        border: none;
        border-radius: 50%;
        width: 10px;
        height: 10px;
        margin: 0 5px;
        cursor: pointer;
    }

    /* Adjustments for smaller screens */
   
    /* Adjustments for smaller screens */
    @media screen and (max-width: 480px) {
        .slider {
            width: 100%; /* Adjusting width for smaller screens */
            height: 170px; /* Adjusted height for smaller screens */
            margin-right: 0; /* No space between sliders on smaller screens */
            margin-bottom: 20px; /* Space between sliders vertically on smaller screens */
            margin: 5px;
            }
            .slider-container {
                padding: 0px;
            }
           
    }
    /* Adjustments for smaller screens */
    @media screen and (max-width: 350px) {
        .slider {
            width: 100%; /* Adjusting width for smaller screens */
            height: 200px; /* Adjusted height for smaller screens */
            margin-right: 0; /* No space between sliders on smaller screens */
            margin-bottom: 20px; /* Space between sliders vertically on smaller screens */
            margin: 5px;
            }
            .slider-container {
                padding: 0px;
            }
             .slider img {
        display: block; /* Ensure the images are displayed as block elements */
        width: 100%;
        height: 123%;
        object-fit: cover; /* Maintain aspect ratio while covering container */
        display: block;
        opacity: 0;
        transition: opacity 0.5s ease;
        position: absolute;
    }
    }
.container {
    display: flex;
    height: 100%;
}

.boxads {
    width: 450px; /* Set width to 350px */
    height: 200px; /* Set height to 450px */
    border-radius: 20px;
    display: flex;
    justify-content: space-between; /* Add space between images */
    align-items: center;
    padding: 20px;
    overflow: hidden;
    background-color: rgba(255, 255, 255, 0.2); /* Add transparent background */
    backdrop-filter: blur(10px); /* Apply blur effect */
    border: 1px solid rgba(255, 255, 255, 0.2); /* Add border for contrast */
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37); /* Add shadow for depth */
}

.boxads img {
    max-width: calc(33.33% - 20px); /* Set maximum width for each image */
    height: auto; /* Maintain aspect ratio */
    border-radius: 10px;
}

@media only screen and (min-width: 768px) {
    .container {
        flex-direction: row;
    }

    .boxads {
        flex: 1;
        margin: 10px;
    }
}

@media only screen and (max-width: 767px) {
    .container {
        flex-direction: column; /* Stack boxes vertically on smaller screens */
        align-items: center; /* Center boxes horizontally */
    }

    .boxads {
        width: calc(100% - 70px); /* Set box width to fill the container with some margin */
        height: 100px;
        margin: 10px auto; /* Center the boxes horizontally with some margin */
    }
}
@media only screen and (max-width: 480px) {
    .container {
        flex-direction: column; /* Stack boxes vertically on smaller screens */
        align-items: center; /* Center boxes horizontally */
    }

    .boxads {
        width: calc(100% - 70px); /* Set box width to fill the container with some margin */
        height: 100px;
        margin: 10px auto; /* Center the boxes horizontally with some margin */
    }
    .boxads img {
        max-width: calc(33.33% - 20px); /* Set maximum width for each image */
        height: auto; /* Maintain aspect ratio */
        border-radius: 10px;
    }
}

.aboutus-container {
width: 98%;
padding: 20px;
margin-top: 25px;
}
.about h1{
font-size: 18px;
font-weight: 600;
font-family:Arial, Helvetica, sans-serif;
}
.about{
    font-size: 16px;
    text-align: justify;
}
.footer {
    background-color: #333; /* Background color of the footer */
    color: #fff; /* Text color */
    padding: 40px 20px; /* Padding inside the footer */
    margin: 20px; /* Add margin to the section */
    background-color: #050505; /* Background color */
    border-radius: 60px; /* Rounded corners for the section */
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1); /* Shadow effect */
    overflow: hidden; /* Hide overflow content */
}

.footer-content {
    display: flex;
    justify-content: space-between;
    font-family:'Gill Sans', 'Gill Sans MT', 'Trebuchet MS', sans-serif;
}

.footer-info, .footer-links {
    flex: 1;
}

.footer-info h3, .footer-links h3 {
    margin-bottom: 10px; /* Bottom margin for headings */
}

.footer-links ul {
    list-style-type: none;
    padding: 0;
}

.footer-links ul li {
    margin-bottom: 5px; /* Bottom margin for list items */
}

.footer-links ul li a {
    color: #fff; /* Link color */
    text-decoration: none; /* Remove underline from links */
}

.footer-bottom {
    margin-top: 20px; /* Top margin for bottom section */
    text-align: center;
}
@media (max-width: 480px) {
    .footer {
        padding: 20px; /* Decreased padding for smaller screens */
    }

    .footer-content {
        flex-direction: column; /* Change layout to column for smaller screens */
        align-items: center; /* Align content center for smaller screens */
    }

    .footer-info,
    .footer-links {
        margin-bottom: 20px; /* Add margin between footer sections on smaller screens */
        text-align: center; /* Center align text within footer sections */
    }

    .footer-info h3,
    .footer-links h3 {
        margin-bottom: 10px; /* Bottom margin for headings */
    }

    .footer-links ul li {
        margin-bottom: 5px; /* Bottom margin for list items */
    }

    .footer-bottom {
        margin-top: 20px; /* Top margin for bottom section */
    }
}
.hashtag {
    font-size: 12px;
}
  